Subject: bug#32825: 27.0.50; Deterministic window management

From: Noam Postavsky <[email-masked]>
Date: Sun, 30 Sep 2018 08:32:03 -0400

martin rudalics <[email-masked]> writes:

>> I'm not sure if we could reuse 'debugger-previous-window' for fixing
>> this issue, but AFAIR it was important that the variable is reset to nil
>> after a debugger session is finished.  The answer can probably be found
>> in the message archives.
>
> Thanks for the explanation.  If we really have to reset
> 'debugger-previous-window' to nil (I can't imagine why this would be
> necessary)

It was for Bug#17882.  I thought the simpler fix was just to reset the
variable after the debugger goes away, but the alternate suggestion
there of checking the visibility could probably work too.